スタッフ別予算一覧取得
GET
/budget/{store_id}/{year}/{month}/staffs
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/budget/example/example/example/staffs';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/budget/example/example/example/staffs \ --header 'Authorization: Bearer <token>'スタッフ別予算の一覧を取得します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”store_id
required
string
店舗ID
year
required
string
予算年(YYYY)
month
required
string
予算月(MM)
Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
sort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
staffId:スタッフID
limit
integer
上限数
page
integer
ページ
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
storeId
店舗ID
string
ym
年月
string
staffId
スタッフID
string
salesTargetStaff
売上金額予算額
string
insDateTime
作成日時
string
updDateTime
更新日時
string
Example
[ { "storeId": "string", "ym": "string", "staffId": "string", "salesTargetStaff": "string", "insDateTime": "string", "updDateTime": "string" }]